import { SvgIconProps } from "../../app/types/types";


export function FideliteSidebarIcon(props: SvgIconProps) {
  return (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M12.6667 2C10.2854 2 8.33333 3.95204 8.33333 6.33333C8.33333 7.21003 8.66271 7.98232 9.11589 8.66667H5.66667C4.7576 8.66667 4 9.42427 4 10.3333V15C4 15.7801 4.60056 16.3534 5.33333 16.5273V25C5.33333 27.3813 7.28537 29.3333 9.66667 29.3333H22.3333C24.7146 29.3333 26.6667 27.3813 26.6667 25V16.5273C27.3994 16.3534 28 15.7801 28 15V10.3333C28 9.42427 27.2424 8.66667 26.3333 8.66667H22.8841C23.3373 7.98232 23.6667 7.21003 23.6667 6.33333C23.6667 3.95204 21.7146 2 19.3333 2C17.9677 2 16.7961 2.68165 16 3.67839C15.2039 2.68165 14.0323 2 12.6667 2ZM12.6667 4C13.9667 4 15 5.03329 15 6.33333V8.66667H12.6667C11.3666 8.66667 10.3333 7.63337 10.3333 6.33333C10.3333 5.03329 11.3666 4 12.6667 4ZM19.3333 4C20.6334 4 21.6667 5.03329 21.6667 6.33333C21.6667 7.63337 20.6334 8.66667 19.3333 8.66667H17V6.33333C17 5.03329 18.0333 4 19.3333 4ZM6 10.6667H12.6667H15V14.6667H6V10.6667ZM17 10.6667H19.3333H26V14.6667H17V10.6667ZM7.33333 16.6667H15V27.3333H9.66667C8.36663 27.3333 7.33333 26.3 7.33333 25V16.6667ZM17 16.6667H24.6667V25C24.6667 26.3 23.6334 27.3333 22.3333 27.3333H17V16.6667Z"
        fill="#B0BAD3"
      />
    </svg>
  )
}
